MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
DatabaseStats Struct Reference

`#include <Stats.hxx>`

## Public Member Functions
void | Clear ()

## Data Fields
unsigned | song_count
| Number of songs. More...
std::chrono::duration< std::uint64_t, SongTime::period > | total_duration
| Total duration of all songs (in seconds). More...
unsigned | artist_count
| Number of distinct artist names. More...
unsigned | album_count
| Number of distinct album names. More...

## Detailed Description

Definition at line 25 of file Stats.hxx.

## Member Function Documentation

void DatabaseStats::Clear | ( |  | ) |
| inline

Definition at line 46 of file Stats.hxx.

## Field Documentation

unsigned DatabaseStats::album_count

Number of distinct album names.

Definition at line 44 of file Stats.hxx.

unsigned DatabaseStats::artist_count

Number of distinct artist names.

Definition at line 39 of file Stats.hxx.

unsigned DatabaseStats::song_count

Number of songs.

Definition at line 29 of file Stats.hxx.

std::chrono::duration<std::uint64_t, SongTime::period> DatabaseStats::total_duration

Total duration of all songs (in seconds).

Definition at line 34 of file Stats.hxx.

The documentation for this struct was generated from the following file:

- db/Stats.hxx